﻿using System;
using System.Linq;
using HowDoI.DBInitializers.DataAccess;
using System.Data.Entity;

namespace HowDoI.DBInitializers.UI
{
    class Program
    {
        static void Main(string[] args)
        {
            Database.SetInitializer(new BlogContextInitializer());
            //Database.SetInitializer(new DropCreateDatabaseIfModelChanges<BlogContext>());
            ListBlogs();
        }

        private static void ListBlogs()
        {
            var db = new BlogContext();

            var blogs = db.Blogs.Include("Posts").ToList();

            foreach (var blog in blogs)
            {
                 Console.WriteLine("{0} by {1}", blog.Title, blog.BloggerName);
                 Console.WriteLine("     # of Posts: {0}", blog.Posts.Count());
            }
            
            Console.WriteLine("Complete. Press any key to continue...");
            Console.ReadKey();
        }

    }
}
